/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2017 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



CREATE OR REPLACE VIEW xxas_fnd_objects_v AS
select ot.display_name,o.* from fnd_objects o,fnd_objects_tl ot, fnd_application a
WHERE a.application_short_name = 'XXAS'
AND a.application_id = o.application_id
AND o.object_id = ot.object_id
AND ot.language = USERENV('LANG');

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_FND_OBJECTS_V'
   ,p_description            => 'Applaud FND Objects List');
END;     
/ 

COMMIT;
EXIT;